Bug Hunting Session
Bug 125561 - switching (Alt-Tab) forth and back between programs selects all text in cell validity dialog
Summary: switching (Alt-Tab) forth and back between programs selects all text in cell ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-28 19:32 UTC by Oliver Grimm
Modified: 2019-08-12 08:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Grimm 2019-05-28 19:32:56 UTC
Description:
Menu: Data|Validity allows setting cell content validity rules for one or more cells. For the validity type "list", the content of the text entry widget is unintentionally selected when switching to another program and back.

Steps to Reproduce:
1. start LO calc and open a new spreadsheet
2. select multiple cells
3. select data | validity from main menu
4. select "list" as type of validity
5. mouse click in the "entries" text widget
6. type"
   aaa
   bbb
   ccc"
7. press Alt-Tab to switch to another application
8. press Alt-Tab again to get back to LO calc

Actual Results:
the content of the text widget "aaa bbb ccc" is selected.

Expected Results:
the content of the text widget is NOT selected


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.5.2
Build-ID: 1:6.1.5-3
CPU-Threads: 2; BS: Linux 4.19; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.utf8); Calc: group threaded
Linux Debian 10/buster; installed from Debian main repositories
Comment 1 56SEhpYHEpVvddiH 2019-06-30 13:06:30 UTC
On loss of focus.
For fields in solver too, possibly more.
Comment 2 Xisco Faulí 2019-08-09 11:40:24 UTC
Thank you for reporting the bug.
it seems you're using an old version of LibreOffice.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 3 Oliver Grimm 2019-08-11 20:43:50 UTC
resolved in Version: 6.3.0.2

Build-ID: 1:6.3.0~rc2-1~bpo10+1 (Debian 10)
CPU-Threads: 2; BS: Linux 4.19; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.utf8); UI-Sprache: de-DE
Calc: threaded
Comment 4 Xisco Faulí 2019-08-12 08:59:27 UTC
(In reply to Oliver Grimm from comment #3)
> resolved in Version: 6.3.0.2
> 
> Build-ID: 1:6.3.0~rc2-1~bpo10+1 (Debian 10)
> CPU-Threads: 2; BS: Linux 4.19; UI-Render: Standard; VCL: gtk3; 
> Gebietsschema: de-DE (de_DE.utf8); UI-Sprache: de-DE
> Calc: threaded

Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.